///////////////////////////
// Speech.Synthesizer03.cs
///////////////////////////
using System.Globalization;
using System.Speech.Synthesis;	//System.Speech.dll

namespace KeepTalking
{
	class Program
	{
		static void Main(string[] args)
		{
			var synthesizer = new SpeechSynthesizer();
			synthesizer.SetOutputToDefaultAudioDevice();
			var builder = new PromptBuilder();
			builder.StartVoice(new CultureInfo("en-US"));
			builder.AppendText("All we need to do is to keep talking.");
			builder.EndVoice();
//			builder.StartVoice(new CultureInfo("ru-RU"));
//			builder.AppendText("Всё, что нам нужно сделать, это продолжать говорить");
			builder.StartVoice(new CultureInfo("jp-JP"));
			builder.AppendText("しなければならないのは、しゃべり続けることです。");
			builder.EndVoice();
			synthesizer.Speak(builder);
			synthesizer.Dispose();
		}
	}
}
